> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 监控进度

> Monitor Progress API 用于跟踪数据采集任务（快照）的当前状态，指示其正在采集数据、处理数据或已准备好下载。



## OpenAPI

````yaml cn-dca-api GET /datasets/v3/progress/{snapshot_id}
openapi: 3.1.0
info:
  title: Brightdata API
  description: 用于与数据集市场交互的 API
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/v3/progress/{snapshot_id}:
    get:
      description: Monitor Progress API 用于跟踪数据采集任务（快照）的当前状态，指示其正在采集数据、处理数据或已准备好下载。
      parameters:
        - name: snapshot_id
          in: path
          required: true
          schema:
            type: string
            example: s_m4x7enmven8djfqak
            description: 触发采集时返回的 ID
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  snapshot_id:
                    type: string
                  dataset_id:
                    type: string
                  status:
                    type: string
                    description: 快照状态
                    enum:
                      - starting
                      - running
                      - ready
                      - failed
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。


        **认证方法:**

        1. 从 Bright Data 账户设置获取您的 API Key:
        https://brightdata.com/cp/setting/users

        2. 在请求的 Authorization 头中包含 API Key

        3. 格式: `Authorization: Bearer YOUR_API_KEY`


        **示例:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        了解如何获取 Bright Data API Key:
        https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key？
      bearerFormat: API Key

````